OracleAppJSPContainer (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.j2ee.oracleapp.OracleAppJSPContainer interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.j2ee.oracleapp
Interface OracleAppJSPContainer

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable, SoftwareContainer

    public interface OracleAppJSPContainer

extends SoftwareContainer

OracleAppJSPContainer

Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.topology.app.SoftwareContainer
`RUNNING, STOPPED`

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getCacheTlds()`
`boolean` | `getCheckPrecompile()`
`boolean` | `getDebug()`
`boolean` | `getEmitDebugInfo()`
`boolean` | `getExternalResource()`
`java.lang.String` | `getExtraImportList()`
`boolean` | `getForgiveDupDirAttr()`
`boolean` | `getReduceTagCode()`
`java.lang.String` | `getRunMode()`
`boolean` | `getStaticTextInChars()`
`java.lang.String` | `getTaglibLocation()`
`java.lang.String` | `getTagReuseDefault()`
`int` | `getTimeout()`
`boolean` | `getXmlValidate()`
`boolean` | `hasCacheTlds()`
`boolean` | `hasCheckPrecompile()`
`boolean` | `hasDebug()`
`boolean` | `hasEmitDebugInfo()`
`boolean` | `hasExternalResource()`
`boolean` | `hasExtraImportList()`
`boolean` | `hasForgiveDupDirAttr()`
`boolean` | `hasReduceTagCode()`
`boolean` | `hasRunMode()`
`boolean` | `hasStaticTextInChars()`
`boolean` | `hasTaglibLocation()`
`boolean` | `hasTagReuseDefault()`
`boolean` | `hasTimeout()`
`boolean` | `hasXmlValidate()`
`void` | `setCacheTlds(java.lang.String cacheTlds)`
`void` | `setCheckPrecompile(boolean checkPrecompile)`
`void` | `setDebug(boolean debug)`
`void` | `setEmitDebugInfo(boolean emitDebugInfo)`
`void` | `setExternalResource(boolean externalResource)`
`void` | `setExtraImportList(java.lang.String extraImportList)`
`void` | `setForgiveDupDirAttr(boolean forgiveDupDirAttr)`
`void` | `setReduceTagCode(boolean reduceTagCode)`
`void` | `setRunMode(java.lang.String runMode)`
`void` | `setStaticTextInChars(boolean staticTextInChars)`
`void` | `setTaglibLocation(java.lang.String taglibLocation)`
`void` | `setTagReuseDefault(java.lang.String tagReuseDefault)`
`void` | `setTimeout(int timeout)`
`void` | `setXmlValidate(boolean xmlValidate)`

Methods inherited from interface com.collation.platform.model.topology.app.SoftwareContainer
`getBindAddresses, getName, getParent, getStatus, hasBindAddresses, hasName, hasParent, hasStatus, setBindAddresses, setName, setParent, setStatus`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getEmitDebugInfo

    boolean getEmitDebugInfo()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setEmitDebugInfo

    void setEmitDebugInfo(boolean emitDebugInfo)

### hasEmitDebugInfo

    boolean hasEmitDebugInfo()

### getExternalResource

    boolean getExternalResource()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setExternalResource

    void setExternalResource(boolean externalResource)

### hasExternalResource

    boolean hasExternalResource()

### getStaticTextInChars

    boolean getStaticTextInChars()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setStaticTextInChars

    void setStaticTextInChars(boolean staticTextInChars)

### hasStaticTextInChars

    boolean hasStaticTextInChars()

### getForgiveDupDirAttr

    boolean getForgiveDupDirAttr()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setForgiveDupDirAttr

    void setForgiveDupDirAttr(boolean forgiveDupDirAttr)

### hasForgiveDupDirAttr

    boolean hasForgiveDupDirAttr()

### getReduceTagCode

    boolean getReduceTagCode()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setReduceTagCode

    void setReduceTagCode(boolean reduceTagCode)

### hasReduceTagCode

    boolean hasReduceTagCode()

### getXmlValidate

    boolean getXmlValidate()
                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setXmlValidate

    void setXmlValidate(boolean xmlValidate)

### hasXmlValidate

    boolean hasXmlValidate()

### getExtraImportList

    java.lang.String getExtraImportList()
                                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setExtraImportList

    void setExtraImportList(java.lang.String extraImportList)

### hasExtraImportList

    boolean hasExtraImportList()

### getDebug

    boolean getDebug()
                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDebug

    void setDebug(boolean debug)

### hasDebug

    boolean hasDebug()

### getCheckPrecompile

    boolean getCheckPrecompile()
                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setCheckPrecompile

    void setCheckPrecompile(boolean checkPrecompile)

### hasCheckPrecompile

    boolean hasCheckPrecompile()

### getRunMode

    java.lang.String getRunMode()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setRunMode

    void setRunMode(java.lang.String runMode)

### hasRunMode

    boolean hasRunMode()

### getTagReuseDefault

    java.lang.String getTagReuseDefault()
                                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setTagReuseDefault

    void setTagReuseDefault(java.lang.String tagReuseDefault)

### hasTagReuseDefault

    boolean hasTagReuseDefault()

### getTimeout

    int getTimeout()
                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setTimeout

    void setTimeout(int timeout)

### hasTimeout

    boolean hasTimeout()

### getCacheTlds

    java.lang.String getCacheTlds()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setCacheTlds

    void setCacheTlds(java.lang.String cacheTlds)

### hasCacheTlds

    boolean hasCacheTlds()

### getTaglibLocation

    java.lang.String getTaglibLocation()
                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setTaglibLocation

    void setTaglibLocation(java.lang.String taglibLocation)

### hasTaglibLocation

    boolean hasTaglibLocation()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD